%epolplos ( epsFile,x,y,alpha,radia,dash,color)
% written by Stefan Mueller stefan.mueller@fgan.de 1997

function epolplos ( epsFile,x,y,alpha,radia,dash,color)
  if (nargin~=7)
    usage ('epolplos ( epsFile,x,y,alpha,radia,dash,color)');
  end
  nData=length(alpha);
  xradia=[alpha; radia];
  xradia=reshape(xradia,1,2*nData);
  array=sprintf('%1.2f ',xradia);
  fprintf(epsFile,'/plotdata[%s] def\n',array);
  fprintf(epsFile,'currentrgbcolor %1.2f %1.2f %1.2f setrgbcolor\n',...
          color(1),color(2),color(3));
  fprintf(epsFile,'%1.2f %1.2f translate\n',x,y);
  fprintf(epsFile,'0 2 plotdata length 2 sub\n');
  fprintf(epsFile,'{ dup 1 add plotdata exch get\n');
  fprintf(epsFile,'exch plotdata exch get\n');
  fprintf(epsFile,'dup rotate exch dup 0 translate %s\n',dash);
  fprintf(epsFile,'neg 0 translate neg rotate} for\n');
  fprintf(epsFile,'%1.2f %1.2f translate\n',-x,-y);
  fprintf(epsFile,'setrgbcolor\n');
